import subprocess

def run_process_with_input():
    # Start the process
    process = subprocess.Popen(["python", "a.py"], stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE, text=True)
    
    while True:
        # Get user input
        user_input = input("Enter something (or 'exit' to quit): ")
        
        # Check if the user wants to exit
        if user_input.lower() == 'exit':
            process.stdin.write(b'exit\n')
            process.stdin.flush()
            break
        
        # Send input to the process and get output
        process.stdin.write(user_input + '\n')
        output, _ = process.communicate()
        
        # Print the output
        print("Output:", output.strip())

# Example usage:
run_process_with_input()
