import subprocess
import re
import os
class ASTGenerator():
  def __init__(self,files:list[str]) -> None:
    self.AST_PARSE_CMD = '.\src\lib\joern\joern-parse tmp/'
    self.AST_SAVE_CMD = '.\src\lib\joern\joern-export --repr ast --out tmp/ast/'
    self.files = files
    pass
  
  def generate_ast(self,file_dir:str):
    # sanitasi folder name
    folder_name = self.sanitize_filename(file_dir)
    # buat ast
    exec = subprocess.run(self.AST_PARSE_CMD+folder_name,shell=True) # konteks lokasinya tergantung CWD terminal yang jalan
    # simpan ast
    exec = subprocess.run(self.AST_SAVE_CMD+folder_name,shell=True) # konteks lokasinya tergantung CWD terminal yang jalan

  def sanitize_filename(self,file_name):
    # remove &, | , ;, {},()
    return re.sub('[&|;{}()]','',file_name)