const fileInputElement = document.getElementById('file-input')

fileInputElement.addEventListener('change', handleFileSelect);

function handleFileSelect(event) {
    const fileInput = event.target;
    // const resultBox = document.getElementById('result');
    // const analysisBox = document.querySelector("#analysis-result")
    const selectedFileBox = document.querySelector("#selected-file")

    if (fileInput.files.length > 0) {
        const fileName = fileInput.files[0].name;
        selectedFileBox.textContent = `${fileName}`;
    //     // Displaying the file name in the result box (you can customize this part)
    //     resultBox.innerHTML = `<p>File Name: ${fileName}</p>`;

    //     // Showing the result box
    //     analysisBox.style.display = 'block';
    //     resultBox.style.display = 'block';
    }
}

async function submit(){
  const file = fileInputElement.files[0]
  if(!file){
    return;
  }
  let formData = new FormData()
  formData.append("files",file)
  const res = await fetch('/analyze',{
    "method":"POST",
    "body": formData
  })
  console.log(res)
}